from enum import Enum


class WritableFrontPortRequestType(str, Enum):
    BNC = "bnc"
    CS = "cs"
    F = "f"
    FC = "fc"
    GG45 = "gg45"
    LC = "lc"
    LC_APC = "lc-apc"
    LC_PC = "lc-pc"
    LC_UPC = "lc-upc"
    LSH = "lsh"
    LSH_APC = "lsh-apc"
    LSH_PC = "lsh-pc"
    LSH_UPC = "lsh-upc"
    LX5 = "lx5"
    LX5_APC = "lx5-apc"
    LX5_PC = "lx5-pc"
    LX5_UPC = "lx5-upc"
    MPO = "mpo"
    MRJ21 = "mrj21"
    MTRJ = "mtrj"
    N = "n"
    OTHER = "other"
    SC = "sc"
    SC_APC = "sc-apc"
    SC_PC = "sc-pc"
    SC_UPC = "sc-upc"
    SMA_905 = "sma-905"
    SMA_906 = "sma-906"
    SN = "sn"
    SPLICE = "splice"
    ST = "st"
    TERA_1P = "tera-1p"
    TERA_2P = "tera-2p"
    TERA_4P = "tera-4p"
    URM_P2 = "urm-p2"
    URM_P4 = "urm-p4"
    URM_P8 = "urm-p8"
    VALUE_0 = "8p8c"
    VALUE_1 = "8p6c"
    VALUE_13 = "110-punch"
    VALUE_2 = "8p4c"
    VALUE_3 = "8p2c"
    VALUE_4 = "6p6c"
    VALUE_5 = "6p4c"
    VALUE_6 = "6p2c"
    VALUE_7 = "4p4c"
    VALUE_8 = "4p2c"

    def __str__(self) -> str:
        return str(self.value)
